Fix things

This commit is contained in:
bri cassa 2021-08-27 19:16:44 +02:00
parent 49abab5dfd
commit 7940c600c8
1 changed files with 2 additions and 2 deletions

View File

@ -94,7 +94,7 @@ do
posy=$(($spawny+$tilesize*($tilenum/2-$y)))
# Execute sh -c "something"
printf "%s\x00" "-c"
printf "$prefix_pipefail ; $mapperpath ${MAPPERPARAMS} -i ${MAPDIR} --geometry ${posx},${posy}+${tilesize}+${tilesize} -o ${tiledir}/20/map_${x}_${y}.png \
printf "$prefix_pipefail ; $mapperpath -i ${MAPDIR} -o ${tiledir}/20/map_${x}_${y}.png ${MAPPERPARAMS} --geometry ${posx}:${posy}+${tilesize}+${tilesize} \
2> >(>&2 prefix '[TILEGEN 20/map_${x}_${y}.png ERR]: ') | prefix '[TILEGEN 20/map_${x}_${y}.png]: ' \
|| (>&2 echo 'minetesmapper for tile [${x},${y}] ended with non zero exit code'; exit 255)\x00"
done
@ -133,7 +133,7 @@ do
echo "montage exited with non zero exit code, aborting."
exit 1
fi
downscale $dir/map_${x}_${y}.png \
convert $dir/map_${x}_${y}.png -resize 50% $dir/map_${x}_${y}.png #downscale $dir/map_${x}_${y}.png \
2> >(>&2 prefix "[SHRINK $zlv/map_${x}_${y}.png ERR]: ") | prefix "[SHRINK $zlv/map_${x}_${y}.png]: "
if [ ${PIPESTATUS[0]} -ne 0 ]; then
echo "shrinking exited with non zero exit code, aborting."